local present, presence = pcall(require, "presence")

if not present then
  return
end

presence.setup {
  auto_update = true,
  neovim_image_text = "NvChad",
  main_image = "file",
  client_id = "793271441293967371",
  log_level = nil,
  debounce_timeout = 10,
  enable_line_number = false,
  blacklist = {},
  buttons = true,
  show_time = true,
  editing_text = "Editing %s",
  file_explorer_text = "Browsing %s",
  git_commit_text = "Committing changes",
  plugin_manager_text = "Managing plugins",
  reading_text = "Reading %s",
  line_number_text = "Line %s out of %s",
  file_assets = {
    c = { "C ", "https://raw.githubusercontent.com/leonardssh/vscord/main/assets/icons/c.png" },
    cpp = {
      "C++",
      "https://raw.githubusercontent.com/leonardssh/vscord/main/assets/icons/cpp.png",
    },
    rust = {
      "Rust",
      "https://raw.githubusercontent.com/leonardssh/vscord/main/assets/icons/rust.png",
    },
    html = {
      "HTML",
      "https://raw.githubusercontent.com/leonardssh/vscord/main/assets/icons/html.png",
    },
    css = {
      "CSS",
      "https://raw.githubusercontent.com/leonardssh/vscord/main/assets/icons/css.png",
    },
    scss = {
      "Sass",
      "https://raw.githubusercontent.com/leonardssh/vscord/main/assets/icons/scss.png",
    },
    js = {
      "JavaScript",
      "https://raw.githubusercontent.com/leonardssh/vscord/main/assets/icons/js.png",
    },
    ts = {
      "TypeScript",
      "https://raw.githubusercontent.com/leonardssh/vscord/main/assets/icons/ts.png",
    },
    jsx = {
      "React",
      "https://raw.githubusercontent.com/leonardssh/vscord/main/assets/icons/jsx.png",
    },
    tsx = {
      "React",
      "https://raw.githubusercontent.com/leonardssh/vscord/main/assets/icons/tsx.png",
    },
    npm = {
      "NPM",
      "https://raw.githubusercontent.com/leonardssh/vscord/main/assets/icons/npm.png",
    },
    debugging = {
      "Debugging",
      "https://github.com/leonardssh/vscord/blob/main/assets/icons/debugging.png?raw=true",
    },
    docker = {
      "Docker",
      "https://raw.githubusercontent.com/leonardssh/vscord/main/assets/icons/docker.png",
    },
    cl = { "Common Lisp", "lisp" },
    clj = {
      "Clojure",
      "https://raw.githubusercontent.com/leonardssh/vscord/main/assets/icons/clojure.png",
    },
    cljs = { "ClojureScript", "clojurescript" },
    ex = {
      "Elixir",
      "https://github.com/leonardssh/vscord/blob/main/assets/icons/elixir.png",
    },
    exs = {
      "Elixir",
      "https://raw.githubusercontent.com/leonardssh/vscord/main/assets/icons/elixir.png",
    },
    go = {
      "Go",
      "https://raw.githubusercontent.com/leonardssh/vscord/main/assets/icons/go.png",
    },
    lua = {
      "Lua",
      "https://raw.githubusercontent.com/leonardssh/vscord/main/assets/icons/lua.png",
    },
    py = {
      "Python",
      "https://raw.githubusercontent.com/leonardssh/vscord/main/assets/icons/python.png",
    },
    yaml = { "YAML", "https://avatars.githubusercontent.com/u/70907734?v=4" },
    nix = {
      "Nix",
      "https://raw.githubusercontent.com/leonardssh/vscord/main/assets/icons/nix.png",
    },
    norg = {
      "Neorg",
      "neorg",
    },
    md = {
      "Markdown",
      "https://raw.githubusercontent.com/leonardssh/vscord/main/assets/icons/markdown.png",
    },
    ["zshrc"] = {
      "zsh",
      "https://avatars.githubusercontent.com/u/70907734?v=4",
    },
    json = { "JSON", "https://avatars.githubusercontent.com/u/70907734?v=4" },
    conf = {
      "configuration file",
      "https://avatars.githubusercontent.com/u/70907734?v=4",
    },
    config = {
      "Configuration file",
      "https://avatars.githubusercontent.com/u/70907734?v=4",
    },
    sql = {
      "SQL",
      "https://raw.githubusercontent.com/leonardssh/vscord/main/assets/icons/sql.png",
    },
    shell = {
      "Shell",
      "https://avatars.githubusercontent.com/u/70907734?v=4",
    },
    [".aliases"] = { ".aliases", "shell" },
    [".appveyor.yml"] = { "AppVeyor config", "appveyor" },
    [".babelrc"] = { "Babel config", "babel" },
    [".babelrc.cjs"] = { "Babel config", "babel" },
    [".babelrc.js"] = { "Babel config", "babel" },
    [".babelrc.json"] = { "Babel config", "babel" },
    [".babelrc.mjs"] = { "Babel config", "babel" },
    [".bash_login"] = { ".bash_login", "shell" },
    [".bash_logout"] = { ".bash_logout", "shell" },
    [".bash_profile"] = { ".bash_profile", "shell" },
    [".bash_prompt"] = { ".bash_prompt", "shell" },
    [".bashrc"] = { ".bashrc", "shell" },
    [".cshrc"] = { ".cshrc", "shell" },
    [".dockercfg"] = { "Docker", "docker" },
    [".dockerfile"] = { "Docker", "docker" },
    [".dockerignore"] = { "Docker", "docker" },
    [".editorconfig"] = { "EditorConfig", "editorconfig" },
    [".eslintignore"] = { "ESLint", "eslint" },
    [".eslintrc"] = { "ESLint", "eslint" },
    [".eslintrc.cjs"] = { "ESLint", "eslint" },
    [".eslintrc.js"] = { "ESLint", "eslint" },
    [".eslintrc.json"] = { "ESLint", "eslint" },
    [".eslintrc.yaml"] = { "ESLint", "eslint" },
    [".eslintrc.yml"] = { "ESLint", "eslint" },
    [".gitattributes"] = { "git", "git" },
    [".gitconfig"] = { "git", "git" },
    [".gitignore"] = { "git", "git" },
    [".gitlab-ci.yaml"] = { "GitLab CI", "gitlab" },
    [".gitlab-ci.yml"] = { "GitLab CI", "gitlab" },
    [".gitmodules"] = { "git", "git" },
    [".login"] = { ".login", "shell" },
    [".logout"] = { ".login", "shell" },
    [".luacheckrc"] = { ".luacheckrc", "lua" },
    [".npmignore"] = { "npm config", "npm" },
    [".npmrc"] = { "npm config", "npm" },
    [".nvmrc"] = { ".nvmrc", "nodejs" },
    [".prettierrc"] = { "Prettier", "prettier" },
    [".prettierrc.cjs"] = { "Prettier", "prettier" },
    [".prettierrc.js"] = { "Prettier", "prettier" },
    [".prettierrc.json"] = { "Prettier", "prettier" },
    [".prettierrc.json5"] = { "Prettier", "prettier" },
    [".prettierrc.toml"] = { "Prettier", "prettier" },
    [".prettierrc.yaml"] = { "Prettier", "prettier" },
    [".prettierrc.yml"] = { "Prettier", "prettier" },
    [".profile"] = { ".profile", "shell" },
    [".tcshrc"] = { ".tcshrc", "shell" },
    [".terraformrc"] = { "Terraform config", "terraform" },
    [".tmux.conf"] = { "tmux", "tmux" },
    [".travis.yml"] = { "Travis CI", "travis" },
    [".vimrc"] = { ".vimrc", "vim" },
    [".watchmanconfig"] = { "Watchman config", "watchman" },
    [".yarnrc"] = { "Yarn config", "yarn" },
    [".zlogin"] = { ".zlogin", "shell" },
    [".zprofile"] = { ".zprofile", "shell" },
    [".zshenv"] = { ".zshenv", "shell" },
    [".zshrc"] = { ".zshrc", "shell" },
    ["Brewfile"] = { "Brewfile", "homebrew" },
    ["Brewfile.lock.json"] = { "Brewfile.lock.json", "homebrew" },
    ["CHANGELOG"] = { "CHANGELOG", "text" },
    ["CODE_OF_CONDUCT"] = { "Code of Conduct", "text" },
    ["COMMIT_EDITMSG"] = { "git", "git" },
    ["CONTRIBUTING"] = { "CONTRIBUTING", "text" },
    ["Cargo.lock"] = { "Cargo lockfile", "cargo" },
    ["Cargo.toml"] = { "Cargo.toml", "cargo" },
    ["Dockerfile"] = { "Docker", "docker" },
    ["Gemfile"] = { "Gemfile", "ruby" },
    ["Gemfile.lock"] = { "Gemfile lockfile", "ruby" },
    ["LICENSE"] = { "LICENSE", "text" },
    ["Makefile"] = { "Makefile", "code" },
    ["Rakefile"] = { "Rakefile", "ruby" },
    ["abookrc"] = { "abook", "abook" },
    ["alacritty.yaml"] = { "Alacritty config", "alacritty" },
    ["alacritty.yml"] = { "Alacritty config", "alacritty" },
    ["appveyor.yml"] = { "AppVeyor config", "appveyor" },
    ["babel.config.cjs"] = { "Babel config", "babel" },
    ["babel.config.js"] = { "Babel config", "babel" },
    ["babel.config.json"] = { "Babel config", "babel" },
    ["babel.config.mjs"] = { "Babel config", "babel" },
    ["brew.sh"] = { "brew.sh", "homebrew" },
    ["docker-compose.yaml"] = { "Docker", "docker" },
    ["docker-compose.yml"] = { "Docker", "docker" },
    ["gitconfig"] = { "git", "git" },
    ["gitlab.rb"] = { "GitLab config", "gitlab" },
    ["gitlab.yml"] = { "GitLab config", "gitlab" },
    ["go.mod"] = { "go.mod", "go" },
    ["go.sum"] = { "go.sum", "go" },
    ["jest.config.js"] = { "Jest config", "jest" },
    ["jest.setup.js"] = { "Jest config", "jest" },
    ["jest.setup.ts"] = { "Jest config", "jest" },
    ["kitty.conf"] = { "Kitty config", "kitty" },
    ["next-env.d.ts"] = { "Next.js config", "nextjs" },
    ["next.config.js"] = { "Next.js config", "nextjs" },
    ["nginx"] = { "NGINX", "nginx" },
    ["nginx.conf"] = { "NGINX", "nginx" },
    ["nuxt.config.js"] = { "Nuxt config", "nuxtjs" },
    ["prettier.config.cjs"] = { "Prettier", "prettier" },
    ["prettier.config.js"] = { "Prettier", "prettier" },
    ["profile"] = { "profile", "shell" },
    ["renovate.json"] = { "Renovate config", "renovate" },
    ["requirements.txt"] = { "requirements.txt", "python" },
    ["tailwind.config.js"] = { "Tailwind", "tailwind" },
    ["terraform.rc"] = { "Terraform config", "terraform" },
    ["v.mod"] = { "v.mod", "vlang" },
    ["watchman.json"] = { "Watchman config", "watchman" },
    ["webpack.config.js"] = { "Webpack", "webpack" },
    ["webpack.config.ts"] = { "Webpack", "webpack" },
    ["yarn.lock"] = { "Yarn lockfile", "yarn" },
    ["zlogin"] = { "zlogin", "shell" },
    ["zlogout"] = { "zlogout", "shell" },
    ["zprofile"] = { "zprofile", "shell" },
    ["zshenv"] = { "zshenv", "shell" },
    ["zshrc"] = { "zshrc", "shell" },
  },
  workspace_text = function()
    return "afk lul"
  end,

  -- main_image = "https://static-00.iconduck.com/assets.00/apps-neovim-icon-512x512-w4ecv3uh.png",
  -- main_image = "https://camo.githubusercontent.com/7ef2897c4de6940f119595f50119a887b538d42d4a0b65a15bd0148e2b6bec5b/68747470733a2f2f692e696d6775722e636f6d2f654e62643975442e706e67",
}